Subject: Re: bug#19323: 24.4; Can't reload image files in OS X 10.10.1

From: Anthony Cowley <[email-masked]>
Date: Tue, 9 Dec 2014 17:37:43 -0500

Ah, thank you! Of course I meant C-x C-v to refresh the file, sorry
for the mixup. A backport would certainly be appreciated.

Thanks again,
Anthony

On Tue, Dec 9, 2014 at 2:32 AM, Jan D. <[email-masked]> wrote:
> Hi.
>
> Anthony Cowley skrev den 2014-12-09 04:26:
>>
>> --text follows this line--
>>
>> Reloading a PNG image file with C-x v doesn't actually reload the image
>
>
> C-x v is the prefix for vc-mode.  Why should that reload an image?
>
>> file. I originally encountered this trying to use image-flush and
>> clear-image-cache, but the problem persists with the simple example of
>> loading an image file after starting with -Q.
>>
>
> This is fixed in trunk, see
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18918.
>
> I might backport the fix to the emacs-24 branch.
>
>         Jan D.
>
>>
>>
>> In GNU Emacs 24.4.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
>>   of 2014-10-20 on builder10-9.porkrind.org
>> Windowing system distributor `Apple', version 10.3.1343
>> Configured using:
>>   `configure --with-ns'
>>
>> Important settings:
>>    value of $LANG: en_US.UTF-8
>>    locale-coding-system: utf-8-unix
>>
>> Major mode: Image[png]
>>
>> Minor modes in effect:
>>    tooltip-mode: t
>>    electric-indent-mode: t
>>    mouse-wheel-mode: t
>>    tool-bar-mode: t
>>    menu-bar-mode: t
>>    file-name-shadow-mode: t
>>    global-font-lock-mode: t
>>    font-lock-mode: t
>>    blink-cursor-mode: t
>>    auto-composition-mode: t
>>    auto-encryption-mode: t
>>    auto-compression-mode: t
>>    line-number-mode: t
>>    transient-mark-mode: t
>>
>> Recent input:
>> C-x C-f p l o t . p <tab> <return> C-x C-v <return>
>> M-x r e p o r t - e m <tab> <return>
>>
>> Recent messages:
>> For information about GNU Emacs and the GNU system, type C-h C-a.
>> Type C-c C-c to view the image as text. [2 times]
>>
>> Load-path shadows:
>> None found.
>>
>> Features:
>> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
>> mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
>> gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
>> help-fns mail-prsvr mail-utils vc-git image-mode easymenu time-date
>> tooltip electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
>> ns-win tool-bar dnd fontset image regexp-opt fringe tabulated-list
>> newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow timer
>> select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
>> frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
>> tai-viet lao korean japanese hebrew greek romanian slovak czech european
>> ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
>> simple abbrev minibuffer nadvice loaddefs button faces cus-face macroexp
>> files text-properties overlay sha1 md5 base64 format env code-pages mule
>> custom widget hashtable-print-readable backquote make-network-process
>> cocoa ns multi-tty emacs)
>>
>> Memory information:
>> ((conses 16 73532 5634)
>>   (symbols 48 17484 0)
>>   (miscs 40 39 151)
>>   (strings 32 10716 4350)
>>   (string-bytes 1 278816)
>>   (vectors 16 9310)
>>   (vector-slots 8 375593 16435)
>>   (floats 8 61 75)
>>   (intervals 56 171 0)
>>   (buffers 960 12))
>>
>>
>